# $Revision: 1.38 $, $Date: 2010/05/13 07:53:26 $
#
# Conditional build:
%bcond_without	alsa	# without ALSA support for MIDI
#
Summary:	x86/DOS emulator with sound/graphics primarily for games
Summary(pl.UTF-8):	Emulator x86/DOS z dźwiękiem/grafiką głównie dla gier
Name:		dosbox
Version:	0.74
Release:	1
License:	GPL v2+
Group:		Applications/Emulators
Source0:	http://downloads.sourceforge.net/dosbox/%{name}-%{version}.tar.gz
# Source0-md5:	b9b240fa87104421962d14eee71351e8
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}.conf
URL:		http://dosbox.sourceforge.net/
BuildRequires:	OpenGL-devel
# because of SDL_opengl deps
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_sound-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
%{?debug:BuildRequires:	ncurses-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fmerge-all-constants -ffast-math

%description
DOSBox emulates a 286/386 realmode/protected mode CPU, Directory
FileSystem/XMS/EMS, Tandy/Hercules/CGA/EGA/VGA/VESA graphics, a
SoundBlaster/Gravis Ultra Sound card for excellent sound compatibility
with older games...

You can "re-live" the good old days with the help of DOSBox, it can
run plenty of the old classics that don't run on your new computer!

%description -l pl.UTF-8
DOSBox emuluje tryb rzeczywisty/chroniony procesora 286/386, system
plików z katalogami, pamięć XMS/EMS, karty graficzne
Tandy/Hercules/CGA/EGA/VGA/VESA oraz karty muzyczne
SoundBlaster/Gravis Ultra Sound w celu zapewnienia znakomitej
kompatybilności ze starymi grami.

Stare wspomnienia odżyją z pomocą DOSBoksa. Dzięki niemu można
uruchomić mnóstwo klasyków, które nie odpalają się na nowych
komputerach.

%prep
%setup -q

%build
# kill AM_PATH_SDL and AM_PATH_ALSA, leave only AH_{TOP,BOTTOM}
tail -n +306 acinclude.m4 > acinclude.m4.tmp
mv -f acinclude.m4.tmp acinclude.m4
%if !%{with alsa}
echo 'AC_DEFUN([AM_PATH_ALSA], [$3])' >> acinclude.m4
%endif
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shots \
	%{?debug:--enable-debug}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE3} .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS dosbox.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/dosbox.1.gz
%{_desktopdir}/*.desktop
%{_pixmapsdir}/dosbox.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dosbox.spec,v $
Revision 1.38  2010/05/13 07:53:26  lisu
- updated to 0.74
- more verbode files
- adapter

Revision 1.37  2010/02/06 20:59:34  arekm
- release 2

Revision 1.36  2009/05/28 19:20:33  wolf
- 0.73

Revision 1.35  2007/08/28 06:31:30  qboosh
- GPL v2+

Revision 1.34  2007/08/28 06:29:39  qboosh
- BR: OpenGL-devel (and OpenGL-GLU-devel because of SDL_opengl.h deps)

Revision 1.33  2007/08/27 18:22:06  wolf
- 0.72

Revision 1.32  2007/07/31 12:05:29  lkrotowski
- up to 0.71

Revision 1.31  2007/04/19 18:01:28  blekot
- proper my changelog

Revision 1.30  2007/04/19 17:57:00  blekot
- rel ++ (2) due to: dosbox: relocation error: dosbox: symbol _ZNSo9_M_insertEPKci, version GLIBCXX_3.4.9 not defined in file libstdc++.so.6 with link time reference
- STBR

Revision 1.29  2007/03/11 16:18:40  wolf
- 0.70

Revision 1.28  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.26  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.25  2006/03/31 15:06:29  wolf
- 0.65

Revision 1.24  2005/12/12 16:44:45  qrczak
- dosbox-c++.patch: needed for gcc4 ("extra qualification" error).

Revision 1.23  2005/04/10 11:36:56  wolf
- BR: SDL_sound-devel

Revision 1.22  2005/04/08 23:01:32  wolf
- rel 2
- add coreswitch, timesync

Revision 1.21  2005/02/28 23:02:38  zbyniu
- BR: libstdc++-devel

Revision 1.20  2005/02/28 21:56:46  qboosh
- s/internap\.dl/dl/ in Source URL (internap is no longer browsable)

Revision 1.19  2004/11/19 13:58:46  wolf
- 0.63

Revision 1.18  2004/11/14 21:00:22  wolf
- rel 3
- updated description

Revision 1.17  2004/10/18 22:07:39  qboosh
- unified sf URL, replaced invalid rpmcflags redefinition by specflags

Revision 1.16  2004/09/30 13:24:14  wolf
- rel 2
- add hq2x patch
- use moe's recommended optimizations

Revision 1.15  2004/09/30 10:36:48  wolf
- 0.62

Revision 1.14  2004/09/21 02:11:28  ankry
- rel. 2

Revision 1.13  2004/02/03 21:57:33  wolf
- 0.61

Revision 1.12  2004/01/05 20:23:05  ankry
- new head/tail syntax

Revision 1.11  2003/12/19 18:35:31  eothane
- changed dl.sf.net to dl.sourceforge.net (SourceN:'s)

Revision 1.10  2003/10/19 17:32:42  qboosh
- BR: SDL_net-devel, alsa-lib-devel (with bcond), ac, am

Revision 1.9  2003/10/15 20:28:51  wolf
- 0.60

Revision 1.8  2003/09/30 10:46:22  qboosh
- mark config as config

Revision 1.7  2003/09/13 17:43:51  grzegol
- added .desktop file, icon and simple config
- rel. 2

Revision 1.6  2003/09/13 16:32:51  grzegol
- added URL
- added ChangeLog to %%doc
- sorted BRs

Revision 1.5  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.4  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:46:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/12 11:45:48  wolf
- adapterized
